            #GIT_CMT=934a377eeaed561adda378583a2a6af6008d50dc
#
# Spec file for oracleasm
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0

# Turn on's and off's (summit and debug not used but added
# for future proofing)

Summary: The Oracle Automatic Storage Management support programs.
Name: oracleasm-support
Version: 3.0.0
Release:    6.el8
License: GPL
Group: System Environment/Kernel
Source: oracleasm-support-3.0.0.tar.bz2
Distribution: Oracle
Vendor: Oracle Corporation
AutoReqProv: no
Requires: libbpf >= 0.6.0
BuildRequires: autoconf 
BuildRequires: kernel-uek-headers >= 5.15.0-0.23.1
BuildRequires: bpftool >= 5.15.0
BuildRequires: libbpf >= 0.6.0
BuildRequires: clang >= 11.0.0
BuildRequires: llvm >= 11.0.0
BuildRequires: libbpf-devel >= 0.6.0

BuildRoot: %{_tmppath}/oracleasm-support-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root



%description
Tools to manage the Oracle Automatic Storage Management library driver


%prep
%setup -n oracleasm-support-%{version}


%build

autoreconf -fiv

./configure					\
	--prefix=%{_prefix}			\
	--exec-prefix=%{_exec_prefix}		\
	--bindir=%{_bindir}			\
	--sbindir=%{_sbindir}			\
	--sysconfdir=%{_sysconfdir}		\
	--datadir=%{_datadir}			\
	--includedir=%{_includedir}		\
	--libdir=%{_libdir}			\
	--libexecdir=%{_libexecdir}		\
	--localstatedir=%{_localstatedir}	\
	--sharedstatedir=%{_sharedstatedir}	\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
	--sbindir=/usr/sbin			\
	--with-execpath=/usr/lib/oracleasm

make



%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/rhel8/oracleasm.init $RPM_BUILD_ROOT/etc/init.d/oracleasm
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp -f oracleasm.service $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp -f vendor/rhel8/oracleasm.init $RPM_BUILD_ROOT/usr/sbin/oracleasm.init
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/rhel8/oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm

make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
chkconfig oracleasm on


%postun
if [ "$1" = "0" ]
then
	rm -f "/etc/sysconfig/oracleasm-_dev_oracleasm"
fi


%triggerpostun -- oracleasm-support = 2.1.12-1.el8 
if [ -f "/etc/sysconfig/oracleasm-_dev_oracleasm.old" ] 
then
	mv -n /etc/sysconfig/oracleasm-_dev_oracleasm.old /etc/sysconfig/oracleasm-_dev_oracleasm 
fi


%files
%defattr(-,root,root)
%doc documents/ReleaseNotes
/usr/lib/systemd/system/oracleasm.service
/usr/sbin/asmtool
/usr/sbin/asmscan
/usr/sbin/oracleasm
/usr/sbin/oracleasm.init
/usr/lib/oracleasm
/usr/share/man
/usr/lib/udev/rules.d/99-iofilter-asm-map.rules
/usr/lib/systemd/system/systemd-udevd.service.d/systemd-udevd-bpf.conf
%attr(0755,root,root) /etc/init.d/oracleasm
%config(noreplace) /etc/sysconfig/oracleasm


%changelog
* Wed Oct 16 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-6
- Merge the oracle-iofilter-asm rpm files back into oracleasm-support rpm
- Bump version to 3.0.0-6

* Mon Sep 23 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-5
- Added 'discover' command to oracleasm tool and man page for it
- Updated copyright messages
- Updated oracleasm-configure man page to show -f option
- Removed obsoleted update-driver command option from oracleasm tool
- Bump version to 3.0.0-5

* Fri Aug 23 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-4
- Remove runtime dependency on libbpf-devel
- Bump version to 3.0.0-4

* Wed Jul 10 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-3
- Moved ASM IO Filter program into a separate package, oracle-iofilter-asm
- Bump verson to 3.0.0-3

* Wed May 22 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-2
- Fixed a bug in renamedisk command for v3 interface [Oragug: 36643584]
- Bump verson to 3.0.0-2

* Tue Mar 26 2024 Prasad Singamsetty <prasad.singamsetty@oracle.com> - 3.0.0-1
- Enhanced oracleasm tools to support UEK7+ kernels and ASMLib v3 [OraBug: 34266349]
- Enable tools to work with UEK7+ kernels that do not have oracleasm driver
- Maintain backward compatibility with older kernels that have oracleasm driver
- Added iofilter for UEK7+ kernels to protect accidental writes to ASM disks
  by admin commands like dd(1)
- oracleasm-configure: Added two new config parameters for the iofilter feature 
- Bump version to 3.0.0-1

* Tue Feb 25 2020 Rajan Shanmugavelu <rajan.shanmugavelu@oracle.com>
- asmlib-support: add git build support OL8/UEK6 (OraBug : 30220714)

* Thu Feb 01 2018 Divya Indi <divya.indi@oracle.com> - 2.1.11-2
- Avoid overwriting config file during upgrade. (Orabug: 27319104)

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Bump version to 2.1.11-1

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Remove init.d reference in /etc/sysconfig/oracleasm (Orabug: 25600971)

* Fri Dec 01 2017 Divya Indi <divya.indi@oracle.com>
- Add-support for handling unused iid files. (Orabug: 22110521)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Add timestamps to /var/log/oracleasm. (Orabug: 21062107)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Restore deleted ASMLib disk. (Orabug: 24161349)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Track devices under dir other than default. (Orabug: 13097990)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Document -f option for renamedisk.(Orabug:19234632)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Modifying err msg for createdisk. (Orabug: 23040118)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Print deprecated warning when running /etc/init.d/oracleasm.
- (Orabug: 21678991)

* Thu Sep 01 2016 Divya Indi <divya.indi@oracle.com>
- Add systemctl support. (Orabug: 18513404)

* Wed Jan 07 2004 Joel Becker <joel.becker@oracle.com>
- Make open package.

* Thu Dec 11 2003 Joel Becker <joel.becker@oracle.com>
- Try at userspace thingie.

* Wed Nov 12 2003 Joel Becker <joel.becker@oracle.com>
- Start the ASM rename.

* Thu Oct 30 2003 Joel Becker <joel.becker@oracle.com>
- Created EL3 version

* Mon Jun 23 2003 Joel Becker <joel.becker@oracle.com>
- Added osm-lib bits

* Fri Jun 20 2003 Joel Becker <joel.becker@oracle.com>
- Initial RPM

